Subject: Re: [PATCH 03/14] net: tcp_memcontrol: properly detect ancestor socket pressure

From: Vladimir Davydov <[email-masked]>
Date: Sat, 14 Nov 2015 15:45:52 +0300

On Thu, Nov 12, 2015 at 06:41:22PM -0500, Johannes Weiner wrote:
> When charging socket memory, the code currently checks only the local
> page counter for excess to determine whether the memcg is under socket
> pressure. But even if the local counter is fine, one of the ancestors
> could have breached its limit, which should also force this child to
> enter socket pressure. This currently doesn't happen.
> 
> Fix this by using page_counter_try_charge() first. If that fails, it
> means that either the local counter or one of the ancestors are in
> excess of their limit, and the child should enter socket pressure.
> 
> Signed-off-by: Johannes Weiner <[email-masked]>

Reviewed-by: Vladimir Davydov <[email-masked]>

For the record: it was broken by commit 3e32cb2e0a12 ("mm: memcontrol:
lockless page counters").